<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionNotificationModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/da3/a04961.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionNotificationModule Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class handle notification toasts system.  
 <a href="../../d0/da3/a04961.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionNotificationModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/da3/a04961.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae08c73bffe5f3dc105420b3ad9fa1c6b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#ae08c73bffe5f3dc105420b3ad9fa1c6b">ExpansionNotificationModule</a> ()</td></tr>
<tr class="separator:ae08c73bffe5f3dc105420b3ad9fa1c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa7eb33a7fb0b12e29321803658478bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#aaa7eb33a7fb0b12e29321803658478bf">~ExpansionNotificationModule</a> ()</td></tr>
<tr class="separator:aaa7eb33a7fb0b12e29321803658478bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa71d921eb14df8373f58a69ff137f2d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#afa71d921eb14df8373f58a69ff137f2d">OnInit</a> ()</td></tr>
<tr class="separator:afa71d921eb14df8373f58a69ff137f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af461b53b3a148d1ea17eddc165575a05"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#af461b53b3a148d1ea17eddc165575a05">IsServer</a> ()</td></tr>
<tr class="separator:af461b53b3a148d1ea17eddc165575a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa93a41365e30c4d0fb3811706840a8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a1fa93a41365e30c4d0fb3811706840a8">GetNotificationsCount</a> ()</td></tr>
<tr class="separator:a1fa93a41365e30c4d0fb3811706840a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad21f2d832bbdd3c5923d6bf773ac5870"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#ad21f2d832bbdd3c5923d6bf773ac5870">AddNotification</a> (NotificationRuntimeData data)</td></tr>
<tr class="separator:ad21f2d832bbdd3c5923d6bf773ac5870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a0f5b5387234ebd55e100de4e5e374d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a7a0f5b5387234ebd55e100de4e5e374d">AddNotificationElement</a> (<a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a> notificationElement, <a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a> type)</td></tr>
<tr class="separator:a7a0f5b5387234ebd55e100de4e5e374d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e5f9141979b8a683e5635635c64215"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a10e5f9141979b8a683e5635635c64215">RemoveNotification</a> (NotificationRuntimeData data)</td></tr>
<tr class="separator:a10e5f9141979b8a683e5635635c64215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab192d23f9bde8e27100b6ba394d74c1d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#ab192d23f9bde8e27100b6ba394d74c1d">HideNotification</a> (int index)</td></tr>
<tr class="separator:ab192d23f9bde8e27100b6ba394d74c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc0377f1f5d489c6ef52015d5419ae1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a0fc0377f1f5d489c6ef52015d5419ae1">RemovingNotification</a> (<a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a> notif)</td></tr>
<tr class="separator:a0fc0377f1f5d489c6ef52015d5419ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bbaa895704871215789bd52355e9f3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a1bbaa895704871215789bd52355e9f3a">RemoveNotification</a> (<a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a> notif)</td></tr>
<tr class="separator:a1bbaa895704871215789bd52355e9f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee715d3c84285340d00584acc22fada2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#aee715d3c84285340d00584acc22fada2">OnUpdate</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:aee715d3c84285340d00584acc22fada2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dfe33ecb9e1323ad5882e771fb403ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a4dfe33ecb9e1323ad5882e771fb403ab">SetExpansionNotificationHUD</a> (<a class="el" href="../../d1/d34/a04957.html">ExpansionNotificationHUD</a> notificationHUD)</td></tr>
<tr class="separator:a4dfe33ecb9e1323ad5882e771fb403ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55baa785b5eb9407bf0b8beded6cae3d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a55baa785b5eb9407bf0b8beded6cae3d">OnMissionStart</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a55baa785b5eb9407bf0b8beded6cae3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d14d64b0780efeb759801a4ff1908f8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a2d14d64b0780efeb759801a4ff1908f8">OnMissionLoaded</a> (Class sender, CF_EventArgs args)</td></tr>
<tr class="separator:a2d14d64b0780efeb759801a4ff1908f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1af6825de86e8d8390b44fb224e4aa7e"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a1af6825de86e8d8390b44fb224e4aa7e">m_Notifications</a></td></tr>
<tr class="separator:a1af6825de86e8d8390b44fb224e4aa7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac76a290a0c89464ec500b187d0702a48"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref NotificationRuntimeData &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#ac76a290a0c89464ec500b187d0702a48">m_NotificationData</a></td></tr>
<tr class="separator:ac76a290a0c89464ec500b187d0702a48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b47d525e052b0dd3a75fefe6bf0591"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d1/d34/a04957.html">ExpansionNotificationHUD</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a03b47d525e052b0dd3a75fefe6bf0591">m_NotificationHUD</a></td></tr>
<tr class="separator:a03b47d525e052b0dd3a75fefe6bf0591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e13537c94a46561a6d6130087623b21"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/da3/a04961.html#a4e13537c94a46561a6d6130087623b21">m_Expansion_Bind</a></td></tr>
<tr class="separator:a4e13537c94a46561a6d6130087623b21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class handle notification toasts system. </p>
<p ><a class="el" href="../../da/dd8/a01265.html">ExpansionNotificationModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00017">17</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae08c73bffe5f3dc105420b3ad9fa1c6b" name="ae08c73bffe5f3dc105420b3ad9fa1c6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae08c73bffe5f3dc105420b3ad9fa1c6b">&#9670;&#160;</a></span>ExpansionNotificationModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::ExpansionNotificationModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00025">25</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="aaa7eb33a7fb0b12e29321803658478bf" name="aaa7eb33a7fb0b12e29321803658478bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa7eb33a7fb0b12e29321803658478bf">&#9670;&#160;</a></span>~ExpansionNotificationModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::~ExpansionNotificationModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00036">36</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad21f2d832bbdd3c5923d6bf773ac5870" name="ad21f2d832bbdd3c5923d6bf773ac5870"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad21f2d832bbdd3c5923d6bf773ac5870">&#9670;&#160;</a></span>AddNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::AddNotification </td>
          <td>(</td>
          <td class="paramtype">NotificationRuntimeData&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00073">73</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a7a0f5b5387234ebd55e100de4e5e374d" name="a7a0f5b5387234ebd55e100de4e5e374d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a0f5b5387234ebd55e100de4e5e374d">&#9670;&#160;</a></span>AddNotificationElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::AddNotificationElement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a>&#160;</td>
          <td class="paramname"><em>notificationElement</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d7c/a00722.html#a87895fe18688d17fbc88515ccb6f6c02">ExpansionNotificationType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00119">119</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a1fa93a41365e30c4d0fb3811706840a8" name="a1fa93a41365e30c4d0fb3811706840a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fa93a41365e30c4d0fb3811706840a8">&#9670;&#160;</a></span>GetNotificationsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionNotificationModule::GetNotificationsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00067">67</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="ab192d23f9bde8e27100b6ba394d74c1d" name="ab192d23f9bde8e27100b6ba394d74c1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab192d23f9bde8e27100b6ba394d74c1d">&#9670;&#160;</a></span>HideNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::HideNotification </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00165">165</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="af461b53b3a148d1ea17eddc165575a05" name="af461b53b3a148d1ea17eddc165575a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af461b53b3a148d1ea17eddc165575a05">&#9670;&#160;</a></span>IsServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionNotificationModule::IsServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00061">61</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="afa71d921eb14df8373f58a69ff137f2d" name="afa71d921eb14df8373f58a69ff137f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa71d921eb14df8373f58a69ff137f2d">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationModule::OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00048">48</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a2d14d64b0780efeb759801a4ff1908f8" name="a2d14d64b0780efeb759801a4ff1908f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d14d64b0780efeb759801a4ff1908f8">&#9670;&#160;</a></span>OnMissionLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationModule::OnMissionLoaded </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00254">254</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a55baa785b5eb9407bf0b8beded6cae3d" name="a55baa785b5eb9407bf0b8beded6cae3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55baa785b5eb9407bf0b8beded6cae3d">&#9670;&#160;</a></span>OnMissionStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationModule::OnMissionStart </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00241">241</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="aee715d3c84285340d00584acc22fada2" name="aee715d3c84285340d00584acc22fada2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee715d3c84285340d00584acc22fada2">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionNotificationModule::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">Class&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CF_EventArgs&#160;</td>
          <td class="paramname"><em>args</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00216">216</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a1bbaa895704871215789bd52355e9f3a" name="a1bbaa895704871215789bd52355e9f3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bbaa895704871215789bd52355e9f3a">&#9670;&#160;</a></span>RemoveNotification() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::RemoveNotification </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a>&#160;</td>
          <td class="paramname"><em>notif</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00197">197</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a10e5f9141979b8a683e5635635c64215" name="a10e5f9141979b8a683e5635635c64215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10e5f9141979b8a683e5635635c64215">&#9670;&#160;</a></span>RemoveNotification() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::RemoveNotification </td>
          <td>(</td>
          <td class="paramtype">NotificationRuntimeData&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00149">149</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a0fc0377f1f5d489c6ef52015d5419ae1" name="a0fc0377f1f5d489c6ef52015d5419ae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fc0377f1f5d489c6ef52015d5419ae1">&#9670;&#160;</a></span>RemovingNotification()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::RemovingNotification </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a>&#160;</td>
          <td class="paramname"><em>notif</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00186">186</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a4dfe33ecb9e1323ad5882e771fb403ab" name="a4dfe33ecb9e1323ad5882e771fb403ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dfe33ecb9e1323ad5882e771fb403ab">&#9670;&#160;</a></span>SetExpansionNotificationHUD()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionNotificationModule::SetExpansionNotificationHUD </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/d34/a04957.html">ExpansionNotificationHUD</a>&#160;</td>
          <td class="paramname"><em>notificationHUD</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00236">236</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4e13537c94a46561a6d6130087623b21" name="a4e13537c94a46561a6d6130087623b21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e13537c94a46561a6d6130087623b21">&#9670;&#160;</a></span>m_Expansion_Bind</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionNotificationModule::m_Expansion_Bind</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00022">22</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="ac76a290a0c89464ec500b187d0702a48" name="ac76a290a0c89464ec500b187d0702a48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac76a290a0c89464ec500b187d0702a48">&#9670;&#160;</a></span>m_NotificationData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;ref NotificationRuntimeData&gt; ExpansionNotificationModule::m_NotificationData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00020">20</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a03b47d525e052b0dd3a75fefe6bf0591" name="a03b47d525e052b0dd3a75fefe6bf0591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b47d525e052b0dd3a75fefe6bf0591">&#9670;&#160;</a></span>m_NotificationHUD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d1/d34/a04957.html">ExpansionNotificationHUD</a> ExpansionNotificationModule::m_NotificationHUD</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00021">21</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<a id="a1af6825de86e8d8390b44fb224e4aa7e" name="a1af6825de86e8d8390b44fb224e4aa7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1af6825de86e8d8390b44fb224e4aa7e">&#9670;&#160;</a></span>m_Notifications</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt;ref <a class="el" href="../../d1/d39/a04965.html">ExpansionNotificationView</a>&gt; ExpansionNotificationModule::m_Notifications</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dd8/a01265_source.html#l00019">19</a> of file <a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/systems/notifications/<a class="el" href="../../da/dd8/a01265_source.html">expansionnotificationmodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/da3/a04961.html">ExpansionNotificationModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
